using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string s=Console.ReadLine();
            string[] s1 = s.Split(' ');
            int n = int.Parse(s1[0]);
            int k = int.Parse(s1[1]);
            
            int[] niz = new int[n];

            string q = Console.ReadLine();
            string[] q1 = q.Split(' ');

            for (int i = 0; i < n; i++)
            {
                niz[i] = int.Parse(q1[i]);
            }

           

            int nekibr = 0;
            for (int i = 0; i < n; i++)
            {
                int broj = niz[i];
                int br = k - 1;
                if (broj == n + 1) { }
                
                else
                {
                    for (int j = i + 1; j < n; j++)
                    {
                        if (niz[j] == broj)
                        {
                            niz[j] = n + 1;
                            br--;
                        }

                    }
                }

                if (br <= 0)
                {
                    nekibr++;
                }
                else { niz[i] = n + 1; }
             

            
            }
            Console.WriteLine(nekibr);

            for (int i = 0; i < n; i++)
            {
                if (niz[i] == n + 1) { }
                
                else 
                {
                    Console.Write("{0} ", niz[i]);
                }
            
            }




                

        }
    }
}